Subject: bug#38624: 27.0.50; [wish] tab navigation via keyboard should mimic buffer navigation

From: Juri Linkov <[email-masked]>
Date: Sun, 22 Dec 2019 01:24:07 +0200

>> This is implemented now so that 'C-x t RET' provides default values
>> with names of tabs sorted by recency: 'C-x t RET RET' will switch to
>> the most recent tab, 'C-x t RET M-n M-n RET' to the second recent, etc.
>
> Nice! Works automagically with helm which is also nice.
>
> It irritated me though that the current tab is not a member of
> the list.

I wonder why would you want to switch to the current tab?

> Therefore with only one tab the list is empty.  If one then hits
> RET on this empty list, there is an error message:
> "funcall-interactively: Wrong type argument: number-or-marker-p,
> nil".

Thanks for noticing, this is fixed now.

> I now see that an unconfigured emacs also does not show the
> buffer from one called switch-to-buffer.  helm-mini which I
> actually use, shows the the buffer you worked in when callin
> helm-mini as a possible last target of the listed buffers.  This
> seems more natural to me.

Indeed switch-to-buffer does this for a reason - it would be
confusing for users to see the current buffer/tab in the
list of buffers/tabs to switch, e.g. when the user accidentally
selects the current buffer/tab from the list and nothing happens.